// gnome.xonotic.in.ua

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_button/shootme2
{
	qer_editorimage textures/base_button/shootme1.tga
	q3map_lightimage textures/base_button/shootme_glow.tga
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_support/metal3_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_button/shootme_glow.tga
		rgbgen wave sin 0.5 1.0 0 .3
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_34
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/foa/foa_water
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	{
		map textures/foa/foa_water.tga
		blendfunc blend
		rgbgen identity
		tcmod scroll 0 -1
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/foa/foa_water2
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	{
		map textures/foa/foa_water2.tga
		blendfunc blend
		rgbgen identity
		tcmod scroll 0 1
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/woasky/woa_skybox
{
	qer_editorimage textures/woasky/woa_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 40
	surfaceparm sky
	q3map_sun 1.0 0.82 0.733 85 320 40
	skyparms env/woa/woa - -
}

textures/woa/woa_jump2
{
	{
		map textures/woa/woa_jump2.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/woa/woa_object1_sfx1.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
	}
}

textures/woa/woa_object1
{
	{
		map textures/woa/woa_object1.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/woa/woa_object1_sfx1.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
	}
}

textures/woa/woa_trim7
{
	{
		map textures/woa/woa_trim7.tga
		rgbgen identity
		tcmod scroll 3 0
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/woa/woa_trim7sx
{
	{
		map textures/woa/woa_trim7sx.tga
		rgbgen identity
		tcmod scroll -3 0
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/woa/woa_vines1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/woa/woa_vines1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/woa/woa_vines2
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/woa/woa_vines2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/woa/woa_wall3_sfx
{
	{
		map textures/woa/woa_wall3_sfx.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/woa/woa_wall3_sfx2.tga
		blendfunc add
		rgbgen wave sin 0 0.6 0 0.5
	}
}

